# Created by pyp2rpm-3.3.5
%global pypi_name HeapDict

Name:           python-heapdict
Version:        1.0.1
Release:        %mkrel 4
Summary:        a heap with decrease-key and increase-key operations
Group:          Development/Python
License:        BSD
URL:            http://stutzbachenterprises.com/
Source0:        https://files.pythonhosted.org/packages/source/H/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
a heap with decreased-key and increase-key operations
heapdict implements the MutableMapping ABC, meaning it works pretty much like a regular
Python dict. It's designed to be used as a priority queue

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
a heap with decreased-key and increase-key operations
heapdict implements the MutableMapping ABC, meaning it works pretty much like a regular
Python dict. It's designed to be used as a priority queue

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files heapdict


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.1-4.mga10
+ Revision: 2238344
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.0.1-3.mga10
+ Revision: 2155078
- rebuild for python3.13

* Thu Dec 28 2023 papoteur <papoteur> 1.0.1-2.mga10
+ Revision: 2023043
- rebuild for python 3.12

* Thu Dec 01 2022 papoteur <papoteur> 1.0.1-1.mga9
+ Revision: 1913883
- imported package python-heapdict

